z8530_tx_done
Prev | Chapter 10. Internal Functions | Next

## Name

z8530_tx_done — TX complete callback

## Synopsis

`void z8530_tx_done (` | struct z8530_channel * | c`)`;

## Arguments

`c`

  The channel that completed a transmit.

## Description

This is called when we complete a packet send. We wake the queue, start the next packet going and then free the buffer of the existing packet. This code is fairly timing sensitive.

Called with the register lock held.

Prev | Up | Next
z8530_tx_begin | Home | z8530_rx_done